SDL_HINT_KMSDRM_DEVICE_INDEX(3)

NAME
SDL_HINT_KMSDRM_DEVICE_INDEX - A variable that controls what KMSDRM device to use.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_KMSDRM_DEVICE_INDEX SDL_KMSDRM_DEVICE_INDEX"

DESCRIPTION
SDL might open something like "/dev/dri/cardNN" to access KMSDRM functionality, where "NN" is a device index number. SDL makes a guess at the best index to use (usually zero), but the app or user can set this hint to a number between 0 and 99 to force selection. This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.